Summary:	A program for visualising molecular dynamics simulations data
Name:		gdpc
Version:	2.2.5
Release:	13%{?dist}
License:	GPLv2+
Group:		Applications/Engineering
URL:		http://www.frantz.fi/software/gdpc.php
Source0:	http://www.frantz.fi/software/gdpc-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig

%description
gdpc is a program for visualising molecular dynamic simulations,
it is a very versatile program and could easily be used for other
purposes. gdpc reads xyz input as well as custom formats and can
output pictures of each frame.

%prep
%setup -q
# Create desktop file
cat > gdpc.desktop << EOF
[Desktop Entry]
Name=gdpc
Comment=A program for visualising molecular dynamic simulations
Exec=gdpc
Icon=
Terminal=false
Type=Application
Categories=Graphics;3DGraphics;Science;Chemistry;Physics;DataVisualization;
EOF

%build
# Patch around missing -lm
libs="`pkg-config --libs gtk+-2.0 gthread-2.0` -lm"
make CFLAGS="%{optflags} -UG_DISABLE_DEPRECATED" LIBS="$libs" %{?_smp_mflags}

%install
rm -rf %{buildroot} 
install -D -p -m 755 gdpc %{buildroot}%{_bindir}/gdpc
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ gdpc.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README liquid.test manytypes.test md.test gpl.txt
%{_bindir}/gdpc
%{_datadir}/applications/gdpc.desktop

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 19 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.2.5-7
- Fix FTBFS on rawhide.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.2.5-5
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 11 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.2.5-3
- Fix FTBFS in Fedora 13 by adding missing -lm to linker command.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 22 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.2.5-1
- Conversion of spec to Fedora.

* Sat Dec 11 2004 Jonas Frantz <frantz@acclab.helsinki.fi>
- Version 2.2.4 released
